Bug 1440573 - [Ansible-UI]: Improve task name for Ansible tasks.
Summary: [Ansible-UI]: Improve task name for Ansible tasks.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: James Wong
QA Contact: Satyajit Bulage
URL:
Whiteboard: ui:task:ansible
Depends On: 1439203
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 01:27 UTC by Satoe Imaishi
Modified: 2017-05-31 14:50 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439203
Environment:
Last Closed: 2017-05-31 14:50:56 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot showing actual results (91.29 KB, image/png)
2017-05-03 10:15 UTC, Satyajit Bulage
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Satyajit Bulage 2017-05-03 10:15:36 UTC
Created attachment 1275869 [details]
Screenshot showing actual results

I am able to reproduce this issue, see attached screenshot.

Comment 3 James Wong 2017-05-03 13:15:33 UTC
Hi Satyajit,

This is a clone of your https://bugzilla.redhat.com/show_bug.cgi?id=1439203#c0 in which the problem you reported was that the name of the repo being created was blanked out in the task name column.

Please refer to the first task row of in the screen shot here: https://bugzilla.redhat.com/attachment.cgi?id=1268946

Now in your new screen shot, the row 3 of the tasks is clearly showing the task is creating a repo "name=My repo".

If you have new request, I think a new bug would be better.

thanks,
James

Comment 8 CFME Bot 2017-05-09 12:46:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/dc560d8f354496c24cd93543f1be7c90f8690d76

commit dc560d8f354496c24cd93543f1be7c90f8690d76
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon May 8 17:31:24 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 9 08:42:57 2017 -0400

    Merge pull request #14977 from jameswnl/task-name
    
    Use human friendly names in task names and notifications for Tower CUD operations
    (cherry picked from commit d7c36131c9a824aae2f3741c42d7632a09f9743b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1440573
    https://bugzilla.redhat.com/show_bug.cgi?id=1449223

 .../configuration_script_source.rb                 |  2 ++
 .../shared/automation_manager/credential.rb        |  2 ++
 .../shared/automation_manager/tower_api.rb         | 20 +++++++++--------
 .../configuration_script_source.rb                 | 25 +++++++++++-----------
 .../automation_manager/credential.rb               | 24 ++++++++++-----------
 5 files changed, 39 insertions(+), 34 deletions(-)

Comment 11 Satyajit Bulage 2017-05-12 08:11:34 UTC
Able to see proper Task name for Ansible Tasks.

Verified Version: 5.8.0.14-rc3.20170509175238_5dbf87a

Comment 13 errata-xmlrpc 2017-05-31 14:50:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.